Gentoo Archives: gentoo-commits

From: Craig Andrews <candrews@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/kodi-visualization-spectrum/
Date: Mon, 30 Sep 2019 13:51:41
Message-Id: 1569851491.e88e5dbc3523f5137ac7c39c8cdc61e77a337516.candrews@gentoo
commit:     e88e5dbc3523f5137ac7c39c8cdc61e77a337516
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 13:48:07 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 13:51:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e88e5dbc

media-plugins/kodi-visualization-spectrum: 3.0.0 version bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 media-plugins/kodi-visualization-spectrum/Manifest             |  1 +
 ...um-9999.ebuild => kodi-visualization-spectrum-3.0.0.ebuild} | 10 ++++++++--
 .../kodi-visualization-spectrum-9999.ebuild                    |  8 +++++++-
 3 files changed, 16 insertions(+), 3 deletions(-)

diff --git a/media-plugins/kodi-visualization-spectrum/Manifest b/media-plugins/kodi-visualization-spectrum/Manifest
index 7335f8f70c1..8f8155519de 100644
--- a/media-plugins/kodi-visualization-spectrum/Manifest
+++ b/media-plugins/kodi-visualization-spectrum/Manifest
@@ -1,3 +1,4 @@
 DIST kodi-visualization-spectrum-1.1.1.tar.gz 52357 BLAKE2B 25d19590b48173e59d8660d690dc33daa363148df6c4a67e9aca29392242f1ba9e41210030b72e8aa1198da778f11b36c93f052bd79315c6c58504f33784f9fc SHA512 7288f6d383a34415cb147c5263a20d79a4ee399ef85bdef86f115667967d4a71340dce911f8e7f3ff34a9dd58cd3784b5f97595231c5df6df3e813f16d09258c
 DIST kodi-visualization-spectrum-2.0.3.tar.gz 3087756 BLAKE2B e25161c72a5c093d15feafda831974030b91bd19d787f27cd8913c060d23993822160b00264d435699173ce0e7e7369fe848fcd5d5a31d234454bd705cedfa99 SHA512 ed4a67a9bd1b02bb5d33791bf1953075d993075ec473ac858e9154c867b51ed2ffc8edbffe49344193a28964a48ad945d5376f23fc983ba2d8f1247d26ef298e
 DIST kodi-visualization-spectrum-2.0.4.tar.gz 3087543 BLAKE2B c8a40d8c4c71b308ef60371791241d0c44c238a56ef64061b77bb782811297bb835b2232a540bcbd8e765f3b8cdf87406dbc6d0ee05c0db547f26e09bceb9d37 SHA512 69574ae8d3a22fd9cfffb80fff27972fcc76efef217d38d3fe7f66c5dad1cecf3c34438ef06c06de364aec44bb676837bce7af13bb279d16cfb8c35ca5023198
+DIST kodi-visualization-spectrum-3.0.0.tar.gz 3086558 BLAKE2B b7baadf34c606bdd1a087cfcb5616044119a758fc369f0a22203c8cd6e2a77041caf25f5ada4dab151c3122ccb93bc05fc45125fcfb28a4e966bbe3f0f24e1af SHA512 83cefaeb6624107af7923c8c5cd2eb9e6066e27429985ec61af6ed7ec789a6dce83eb9ee0ef9391ce414aab2cf4ba9f2eef6c3d05bd59152b314ff8e26b58875

diff --git a/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-9999.ebuild b/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-3.0.0.ebuild
similarity index 79%
copy from media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-9999.ebuild
copy to media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-3.0.0.ebuild
index 71fdf47e5d4..98ac664f5bc 100644
--- a/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-9999.ebuild
+++ b/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-3.0.0.ebuild
@@ -18,7 +18,7 @@ case ${PV} in
 *)
 	CODENAME="Leia"
 	KEYWORDS="~amd64 ~x86"
-	SRC_URI="https://github.com/xbmc/visualization.spectrum/archive/v${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+	SRC_URI="https://github.com/xbmc/visualization.spectrum/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
 	S="${WORKDIR}/visualization.spectrum-${PV}-${CODENAME}"
 	;;
 esac
@@ -28,10 +28,16 @@ SLOT="0"
 IUSE=""
 
 DEPEND="
-	~media-tv/kodi-9999
+	=media-tv/kodi-18*
+	media-libs/glm
 	virtual/opengl
 	"
 
 RDEPEND="
 	${DEPEND}
 	"
+
+src_prepare(){
+	[ -d depends ] && rm -rf depends || die
+	cmake-utils_src_prepare
+}

diff --git a/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-9999.ebuild b/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-9999.ebuild
index 71fdf47e5d4..122892d0031 100644
--- a/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-9999.ebuild
+++ b/media-plugins/kodi-visualization-spectrum/kodi-visualization-spectrum-9999.ebuild
@@ -18,7 +18,7 @@ case ${PV} in
 *)
 	CODENAME="Leia"
 	KEYWORDS="~amd64 ~x86"
-	SRC_URI="https://github.com/xbmc/visualization.spectrum/archive/v${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+	SRC_URI="https://github.com/xbmc/visualization.spectrum/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
 	S="${WORKDIR}/visualization.spectrum-${PV}-${CODENAME}"
 	;;
 esac
@@ -29,9 +29,15 @@ IUSE=""
 
 DEPEND="
 	~media-tv/kodi-9999
+	media-libs/glm
 	virtual/opengl
 	"
 
 RDEPEND="
 	${DEPEND}
 	"
+
+src_prepare(){
+	[ -d depends ] && rm -rf depends || die
+	cmake-utils_src_prepare
+}